# CommandCompletionContext (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: CommandCompletionContext

Package co.aikar.commands

# Class CommandCompletionContext<I extends CommandIssuer>

java.lang.Object
co.aikar.commands.CommandCompletionContext<I>

public class CommandCompletionContext<I extends CommandIssuer> extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final I`
`issuer`

## Method Summary

Modifier and Type
Method
Description
`String`
`getConfig()`
`String`
`getConfig(String key)`
`String`
`getConfig(String key, String def)`
`Map<String,String>`
`getConfigs()`
`<T> T`
`getContextValue(Class<? extends T> clazz)`
`<T> T`
`getContextValue(Class<? extends T> clazz, Integer paramIdx)`
`<T> T`
`getContextValueByName(Class<? extends T> clazz, String name)`
`String`
`getInput()`
`CommandIssuer`
`getIssuer()`
`boolean`
`hasConfig(String key)`
`boolean`
`isAsync()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### issuer

protected final I extends CommandIssuer issuer

## Method Details

### getConfigs

public Map<String,String> getConfigs()

### getConfig

public String getConfig (String key)

### getConfig

public String getConfig (String key, String def)

### hasConfig

public boolean hasConfig (String key)

### getContextValue

public <T> T getContextValue (Class<? extends T> clazz) throws InvalidCommandArgument

Throws:
  `InvalidCommandArgument`

### getContextValue

public <T> T getContextValue (Class<? extends T> clazz, Integer paramIdx) throws InvalidCommandArgument

Throws:
  `InvalidCommandArgument`

### getContextValueByName

public <T> T getContextValueByName (Class<? extends T> clazz, String name) throws InvalidCommandArgument

Throws:
  `InvalidCommandArgument`

### getIssuer

public CommandIssuer getIssuer()

### getInput

public String getInput()

### getConfig

public String getConfig()

### isAsync

public boolean isAsync()